[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_crwapi' (#crwlib)

# IFifoWrap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_crwapi.pas line 1353

`type IFifoWrap = interface(IPluginWrap)`
`procedure Lock;`
`procedure UnLock;`
`procedure Clear;`
`function GetCount;`
`function GetSpace;`
`function GetSize;`
`function GetName;`
`procedure SetName();`
`function GetTag();`
`procedure SetTag();`
`function GetLost;`
`procedure SetLost();`
`function Put();`
`function Get();`
`function PutText();`
`function GetText();`
`property Name: LongString; [rw]`
`property Tag []: LongWord; [rw]`
`property Count: LongInt; [r]`
`property Space: LongInt; [r]`
`property Size: LongInt; [r]`
`property Lost: Int64; [rw]`
`end;`

## Inheritance

`IFifoWrap`
`IPluginWrap`
`IUnknown`
?